gd_eof64(3)

NAME
gd_eof64 — find the end of a Dirfile field, with largefile support

SYNOPSIS
#define GD_64BIT_API
#include <getdata.h>

gd_off64_t gd_eof64(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
This version of uses a 64-bit offset type (gd_off64_t), regardless of the size of off_t. It is only guaranteed to be available when GD_64BIT_API is defined before including getdata.h.

If off_t is a 64-bit type, this function will the same as Otherwise, will be a version of this function which uses a 32-bit off_t.

SEE ALSO
feature_test_macros(7)